Spotify podcast episodes API
A show's episodes, 20 a page, in the order Spotify lists them (type "episode"); `parent` is the show.
GET /v1/spotify/podcast/episodes
GET /v1/spotify/podcast/episodes
A show's episodes, 20 a page, in the order Spotify lists them (type "episode"); parent is the show. Pass the cursor back until it is null.
- Cost: 1 credit
- Cache: Results are kept up to 30 days; send
max_age_daysto reuse them for free. - Timeout: A request still running after about 25 seconds answers
202with a job to poll (Batch and jobs).
Parameters#
| Name | Type | Required | Description |
|---|---|---|---|
url | URL | one of | Spotify show URL. Accepted hosts: open.spotify.com, spotify.com, spotify.link. |
id | string | one of | Spotify show id. |
Send at least one of url, id. If you send several, the first listed is used and the rest are ignored.
Every request also accepts:
cursor: the cursor from the previous page (Pagination).trim:truefor a smaller response withoutnullfields andextra.raw:trueto also get the platform's original object asraw.max_age_days: accept a cached result up to this many days old, for 0 credits (Caching).
Example request#
Set your key in the environment first (see Authentication).
1curl -G "https://api.socialscrape.dev/v1/spotify/podcast/episodes" \2 -H "x-api-key: $SOCIALSCRAPE_API_KEY" \3 --data-urlencode "id=4rOoJ6Egrf8K2IrywzwOMk"1import os2import requests34params = {5 "id": "4rOoJ6Egrf8K2IrywzwOMk",6}7res = requests.get(8 "https://api.socialscrape.dev/v1/spotify/podcast/episodes",9 headers={"x-api-key": os.environ["SOCIALSCRAPE_API_KEY"]},10 params=params,11)12body = res.json()1314if body["ok"]:15 print(body["data"])16else:17 print(body["error"]["code"], body["error"]["message"])1const url = new URL("https://api.socialscrape.dev/v1/spotify/podcast/episodes");2url.search = new URLSearchParams({3 "id": "4rOoJ6Egrf8K2IrywzwOMk"4}).toString();5const res = await fetch(url, {6 headers: { "x-api-key": process.env.SOCIALSCRAPE_API_KEY! },7});8const body = await res.json();910if (body.ok) {11 console.log(body.data);12} else {13 console.error(body.error.code, body.error.message);14}1{2 "nodes": [3 {4 "name": "SocialScrape Spotify podcast episodes",5 "type": "n8n-nodes-base.httpRequest",6 "typeVersion": 4.2,7 "position": [8 0,9 010 ],11 "parameters": {12 "method": "GET",13 "url": "https://api.socialscrape.dev/v1/spotify/podcast/episodes",14 "sendQuery": true,15 "queryParameters": {16 "parameters": [17 {18 "name": "id",19 "value": "4rOoJ6Egrf8K2IrywzwOMk"20 }21 ]22 },23 "sendHeaders": true,24 "headerParameters": {25 "parameters": [26 {27 "name": "x-api-key",28 "value": "={{ $env.SOCIALSCRAPE_API_KEY }}"29 }30 ]31 }32 }33 }34 ],35 "connections": {}36}Example response#
This is a sample from a recorded response, lists and long text are shortened. Status 200.
1{2 "ok": true,3 "credits_charged": 1,4 "credits_remaining": 4999,5 "cached": false,6 "cached_at": null,7 "request_id": "req_1e6916b5afb08074109352f9",8 "data": {9 "object": "list",10 "items": [11 {12 "object": "post",13 "platform": "spotify",14 "id": "16E8oK7YNhSlyMPlxyP1D1",15 "url": "https://open.spotify.com/episode/16E8oK7YNhSlyMPlxyP1D1",16 "type": "episode",17 "author": {18 "id": "4rOoJ6Egrf8K2IrywzwOMk",19 "handle": null,20 "name": "The Joe Rogan Experience",21 "url": "https://open.spotify.com/show/4rOoJ6Egrf8K2IrywzwOMk",22 "avatar_url": null,23 "verified": null24 },25 "title": "#2572 - Colum Tyrrell",26 "text": "Colum Tyrrell is a comedian, streamer, and co-host of the \"Cockfight\" podcast with Lev Fer and Tristan Bowling. His new hour-long comedy special premieres October 28 on YouTube. He is currently on tour.www.youtube.com/@ColumTyrrellwww.patre...",27 "published_at": "2026-10-29T17:00:00Z",28 "duration_seconds": 10729.62,29 "language": null,30 "hashtags": null,31 "mentions": null,32 "stats": {33 "views": null,34 "likes": null,35 "comments": null,36 "shares": null,37 "saves": null,38 "dislikes": null39 },40 "media": {41 "thumbnail_url": "https://i.scdn.co/image/ab6765630000ba8a131c2f9743eab637ff0a381e",42 "video_url": null,43 "audio_url": "https://p.scdn.co/mp3-preview/d9cb4d36b93dbe55f7d0d35a77d09cbaca88775d",44 "image_urls": null,45 "width": null,46 "height": null47 },48 "song": null,49 "location": null,50 "is_pinned": null,51 "is_sponsored": null,52 "extra": {53 "explicit": true,54 "has_video": true,55 "html_description": "<p>Colum Tyrrell is a comedian, streamer, and co-host of the "Cockfight" podcast with Lev Fer and Tristan Bowling. His new hour-long comedy special premieres October 28 on YouTube. He is currently on tour.<br />www.youtube.com/@...",56 "media_types": [57 "video",58 "audio"59 ],60 "paywalled": false,61 "playable": true,62 "release_date_precision": "MINUTE",63 "show_id": "4rOoJ6Egrf8K2IrywzwOMk",64 "show_name": "The Joe Rogan Experience",65 "show_url": "https://open.spotify.com/show/4rOoJ6Egrf8K2IrywzwOMk",66 "transcript_count": 0,67 "uri": "spotify:episode:16E8oK7YNhSlyMPlxyP1D1"68 }69 },70 {71 "object": "post",72 "platform": "spotify",73 "id": "0jZjDghybB9p3QnZVXIhgq",74 "url": "https://open.spotify.com/episode/0jZjDghybB9p3QnZVXIhgq",75 "type": "episode",76 "author": {77 "id": "4rOoJ6Egrf8K2IrywzwOMk",78 "handle": null,79 "name": "The Joe Rogan Experience",80 "url": "https://open.spotify.com/show/4rOoJ6Egrf8K2IrywzwOMk",81 "avatar_url": null,82 "verified": null83 },84 "title": "#2571 - Jimmy Carr",85 "text": "Jimmy Carr is a comedian, television personality, and writer. His new book, \"On Jokes: The Hidden Mechanics of Funny,\" co-authored with Amanda Baker and Abi Grant, is available now. He is currently on tour.www.youtube.com/@jimmycarrwww.jimm...",86 "published_at": "2026-10-28T19:00:00Z",87 "duration_seconds": 10235.028,88 "language": null,89 "hashtags": null,90 "mentions": null,91 "stats": {92 "views": null,93 "likes": null,94 "comments": null,95 "shares": null,96 "saves": null,97 "dislikes": null98 },99 "media": {100 "thumbnail_url": "https://i.scdn.co/image/ab6765630000ba8addf8066cfd021cbfa6239285",101 "video_url": null,102 "audio_url": "https://p.scdn.co/mp3-preview/77582b1053f26c8638af395d90e29bc9463bac31",103 "image_urls": null,104 "width": null,105 "height": null106 },107 "song": null,108 "location": null,109 "is_pinned": null,110 "is_sponsored": null,111 "extra": {112 "explicit": true,113 "has_video": true,114 "html_description": "<p>Jimmy Carr is a comedian, television personality, and writer. His new book, "On Jokes: The Hidden Mechanics of Funny," co-authored with Amanda Baker and Abi Grant, is available now. He is currently on tour.<br />www.youtube.com/&...",115 "media_types": [116 "video",117 "audio"118 ],119 "paywalled": false,120 "playable": true,121 "release_date_precision": "MINUTE",122 "show_id": "4rOoJ6Egrf8K2IrywzwOMk",123 "show_name": "The Joe Rogan Experience",124 "show_url": "https://open.spotify.com/show/4rOoJ6Egrf8K2IrywzwOMk",125 "transcript_count": 0,126 "uri": "spotify:episode:0jZjDghybB9p3QnZVXIhgq"127 }128 }129 ],130 "cursor": "eyJvIjoyMH0",131 "has_more": true,132 "parent": {133 "object": "collection",134 "platform": "spotify",135 "id": "4rOoJ6Egrf8K2IrywzwOMk",136 "url": "https://open.spotify.com/show/4rOoJ6Egrf8K2IrywzwOMk",137 "kind": "podcast",138 "title": "The Joe Rogan Experience",139 "description": null,140 "owner": null,141 "item_count": 2772,142 "cover_url": null,143 "updated_at": null,144 "extra": null145 }146 },147 "cursor": "eyJvIjoyMH0",148 "has_more": true149}Response#
A list of Post objects in data.items, with data.cursor and data.has_more.
See Data models for every field. The envelope around data is described in Responses.
Errors#
Failures are free: credits_charged is 0. Branch on error.code, never on the message.
| Code | HTTP | Retry | Meaning |
|---|---|---|---|
invalid_params | 400 | no | A parameter is missing, unknown or has the wrong type. |
unsupported_url | 400 | no | The URL is not one this endpoint accepts (wrong platform or form). |
not_found | 404 | no | The platform says this profile, post or item does not exist. |
Every request can also fail with the account and platform errors listed on the Errors page.
Example error:
1{2 "ok": false,3 "error": {4 "code": "not_found",5 "message": "The platform says this profile, post or item does not exist.",6 "retryable": false7 },8 "credits_charged": 0,9 "request_id": "req_31a540b7cf6ef417cf894b03"10}Related endpoints#
- Spotify artist (
GET /v1/spotify/artist) - Spotify album (
GET /v1/spotify/album) - Spotify track (
GET /v1/spotify/track) - Spotify podcast (
GET /v1/spotify/podcast) - Spotify playlist (
GET /v1/spotify/playlist) - Spotify search (
GET /v1/spotify/search)